package com.cslnight.test;

import org.apache.poi.hssf.record.ExtendedFormatRecord;
import org.apache.poi.hssf.record.Record;
import org.apache.poi.hssf.record.RecordFactoryInputStream;
import org.apache.poi.poifs.filesystem.DirectoryNode;
import org.apache.poi.poifs.filesystem.DocumentInputStream;
import org.apache.poi.poifs.filesystem.POIFSFileSystem;

import java.io.IOException;

public class RecordTest {
    public static void main(String[] args) throws IOException {
        POIFSFileSystem file = new POIFSFileSystem(RecordTest.class.getResourceAsStream("/test.xls"));
        DirectoryNode directoryNode = file.getRoot();
        DocumentInputStream documentInputStream = directoryNode.createDocumentInputStream("Workbook");
        RecordFactoryInputStream recordStream = new RecordFactoryInputStream(documentInputStream, false);
        for(;;) {
            Record r = recordStream.nextRecord();
            if (r == null) {
                break;
            }
            // 末尾に５つはセルA1,B1,C1,D1,E1です。
            // A1のFormatIndexは186
            // B1のFormatIndexは188
            // C1のFormatIndexは187
            // D1のFormatIndexは5
            // E1のFormatIndexは6
            if (r instanceof ExtendedFormatRecord) {
                System.out.println(((ExtendedFormatRecord) r).getFormatIndex());
            }
        }
    }

}
